WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

Advanced Responsive Video Embedder

Easy responsive video embeds via URLs or shortcodes. Perfect drop-in replacement for WordPress' default embeds. Best plugin for videos?

I have a problem ...

Please report it on nextgenthemes.com/support/ and plaese not on the wordpess.org forums, thanks.

How to get the pro version working?

  1. Go though the purchase process on nextgenthemes.com/advanced-responsive-video-embedder-pro/
  2. Follow the 3 easy steps you get with the purchase receipt. It is basically downloading a arve-pro.zip and installing it through your WordPress Admin panel.

Why are my videos not filling their container?

You are most likely use align, this plugin has a option for limiting video with with alignment. If you want your videos to fill their containers then you should not use the align shortcode attribute. This assumes that you left the 'Video Maximal Width' field on the options page empty (default + recommended)

Can you add a video provider?

I have no plans on implementing providers that include videos via JavaScript such as http://www.nicovideo.jp. I also will not implement video services from mainstream media news organizations. For others, feel free to ask.

How do I embed videos from a unlisted providers / iframes?

This plugin not changes anything to usual HTML <iframe> embed codes you have to use the shortcode creator dialog and paste iframe embed codes there or write them manually. They will become [arve url="https://..."]. The url represents what is the src in HTML embeds. It works as simple as this, if the [arve] shortcode does not detect a knows URL structure then it will treat the URL as a src for the iframe.

Why does my Youtube video not repeat/loop?

This plugins embed is considered as 'custom player' by YouTube so you have to pass the video ID as playlist parameters to make the loop work.

[arve url="https://www.youtube.com/watch?v=pvRqvX413Ik" parameters="loop=1&playlist=pvRqvX413Ik"]

Requires: 4.4.0 or higher
Compatible up to: 4.7.0
Last Updated: 6 hours ago
Active Installs: 50,000+

Ratings

4.5 out of 5 stars

Support

5 of 6 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1
100,1,1 67,3,2
100,1,1
100,1,1 100,1,1 100,2,2 100,1,1
100,1,1
0,1,0 100,2,2
100,1,1 100,1,1
100,1,1 0,2,0
71,7,5 100,1,1
50,2,1 100,4,4 100,1,1 83,6,5 100,2,2 100,1,1 100,1,1 100,2,2 100,3,3
100,1,1
100,1,1 0,1,0
100,1,1 100,1,1 100,1,1
0,1,0
75,4,3
100,1,1
33,3,1 100,3,3
100,1,1
100,1,1 100,1,1
100,1,1
100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
0,2,0